> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dfns.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Sponsored Fees

> Retrieves all fees paid by the specific Fee Sponsor.



## OpenAPI

````yaml /openapi.yaml get /fee-sponsors/{feeSponsorId}/fees
openapi: 3.1.0
info:
  version: 1.807.0
  title: Dfns
servers:
  - url: https://api.dfns.io
    description: Default - Europe
  - url: https://api.uae.dfns.io
    description: UAE
  - url: https://api.dfns.ninja
    description: <Deprecated> Staging
security: []
paths:
  /fee-sponsors/{feeSponsorId}/fees:
    get:
      tags:
        - Fee Sponsors
      summary: List Sponsored Fees
      description: Retrieves all fees paid by the specific Fee Sponsor.
      parameters:
        - schema:
            type: string
            minLength: 1
            maxLength: 64
            pattern: ^fs-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
            description: Fee Sponsor to retrieve the fees from.
          required: true
          description: Fee Sponsor to retrieve the fees from.
          name: feeSponsorId
          in: path
        - schema:
            type: string
            pattern: ^\d+$
          required: false
          name: limit
          in: query
        - schema:
            type: string
            minLength: 1
          required: false
          name: paginationToken
          in: query
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        feeSponsorId:
                          type: string
                          minLength: 1
                          maxLength: 64
                          pattern: ^fs-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
                          description: Fee Sponsor id.
                          example: fs-5vqdl-gliqk-b4rfukqauov1sp7j
                        sponsoreeId:
                          type: string
                          description: Id of the entity being sponsored, e.g. a wallet id.
                        requestId:
                          type: string
                          description: Id of the request that was sponsored.
                        fee:
                          type: string
                          description: Fee amount that was paid for the request
                        dateRequested:
                          type: string
                          format: date-time
                          description: >-
                            [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601)
                            date (must be UTC). When the sponsorship was
                            requested.
                          example: '2023-04-14T20:41:28.715Z'
                        dateConfirmed:
                          type: string
                          format: date-time
                          description: >-
                            [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601)
                            date (must be UTC). When the sponsorship was
                            confirmed.
                          example: '2023-04-14T20:41:28.715Z'
                      required:
                        - feeSponsorId
                        - sponsoreeId
                        - requestId
                        - dateRequested
                        - dateConfirmed
                  nextPageToken:
                    type: string
                required:
                  - items
      security:
        - authenticationToken: []
components:
  securitySchemes:
    authenticationToken:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        **Bearer Token:** Used to authenticate API requests.

        More details how to generate the token: [Authentication
        flows](https://docs.dfns.co/api-reference/auth/login-flows)

````